<script type="text/x-red" data-help-name="rda3 subscribe">
    <p>Subscribes to a RDA3 server.</p>
    <h3>Inputs</h3>
    <dl class="message-properties">
       <dt class="optional">device <span class="property-type">string</span></dt>
       <dd> the device name to connect to. If <code>device</code> configuration is set and forced is on, this input is ignored.
           If this input is not set, the <code>device</code> configuration will be used instead.
       </dd>

       <dt class="optional">property <span class="property-type">string</span></dt>
       <dd> the property name to subscribe to. If <code>property</code> configuration is set and forced is on, this input is ignored.
           If this input is not set, the <code>property</code> configuration will be used instead.
       </dd>

       <dt class="optional">selector <span class="property-type">string</span></dt>
       <dd> the cycle selector name to subscribe to. If <code>selector</code> configuration is set and forced is on, this input is ignored.
           If this input is not set, the <code>selector</code> configuration will be used instead.
       </dd>
    </dl>
    <h3>Outputs</h3>
    <dl class="message-properties">
       <dt>payload <span class="property-type">string</span></dt>
       <dd>acquired data.</dd>
       <dt>device <span class="property-type">string</span></dt>
       <dd>the device name.</dd>
       <dt>property <span class="property-type">string</span> </dt>
       <dd>property name.</dd>
       <dt class="optional">selector <span class="property-type">string</span></dt>
       <dd>the cycle selector.</dd>
    </dl>
    
    <h3>Details</h3>
        <p>The device name used can be configured in the node or, if left blank, can be set
        by <code>msg.device</code>.</p>
        <p>The property name used can be configured in the node or, if left blank, can be set
        by <code>msg.property</code>.</p>
        <p>The cycle selector used can be configured in the node or, if left blank, can be set
        by <code>msg.selector</code>. This parameter is optional.</p>
        <p><code>msg.payload</code> is used to output the acquired data. 64 bits integers are encoded as string.</p>
</script>